package p03_interakcja.skaner;

import java.util.Scanner;

public class KlasaScanner {

	public static void main(String[] args) {
		// Do wygodnego wczytywania danych tekstowych ze standardowego wejścia, używa się klasy Scanner.
		
		// Deklaruję zmienną scanner typu Scanner i wpisuję do niej nowy obiekt klasy Scanner,
		// który będzie pobierał dane ze standardowego wejścia.
		Scanner scanner = new Scanner(System.in);
		
		System.out.println("Wpisz linię tekstu:");
		String linia = scanner.nextLine();
		System.out.println("Wpisana linia: " + linia);
		if(!linia.isBlank()) {
			System.out.println("Linia jest niepusta");
		}

		System.out.print("Wpisz liczbę całkowitą: ");
		int x = scanner.nextInt();
		System.out.print("Wpisz liczbę z ułamkiem: ");
		double y = scanner.nextDouble();
		System.out.println(x + " × " + y + " = " + (x*y));
		
		System.out.println("Wpisz dwa słowa lub więcej: ");
		String slowo1 = scanner.next();
		String slowo2 = scanner.next();
		String resztaLinii = scanner.nextLine();
		
		System.out.println("Pierwsze słowo: " + slowo1);
		System.out.println("Drugie słowo: " + slowo2);
		System.out.println("Koniec linii (długość "
					+ resztaLinii.length() + "): " + resztaLinii);
	}
}
